//****************************************************************************
//                    Copyright (C) 1992-1995 EuroSource AB
//
// FILE:         vb1.h
//   
// PURPOSE:      Header file for RADIO subclass EuroCtrl project
//   
// COMMENTS:     
//   
// HISTORY:      920525AH Prehistory
//   
//****************************************************************************                    




#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------


PPROPINFO proplistRadio_Vb1[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_CAPTION,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_TAG,
    &propinfoRadioStyle,
    &propinfoRadioFont3D,
    &propinfoRadioDark3DColor,
    &propinfoRadioLight3DColor,
    PPROPINFO_STD_FORECOLOR,
    &propinfoRadioToggleStatus,
    &propinfoRadioPictureUp,
    &propinfoRadioPictureDown,
    &propinfoRadioFocusRectOn,
    &propinfoRadioAlign,
    &propinfoRadioMarkFG,
    &propinfoRadioMarkBG,
    &propinfoRadioTextBorder,
    &propinfoRadioTextBorderAlign,
    &Property_Radio_About,
    &propinfoRadiohWnd,        
    &propinfoRadioPictureDisabled,
    NULL
};


//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistRadio_Vb1[] =
{
    PEVENTINFO_STD_CLICK,
    PEVENTINFO_STD_DBLCLICK,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    PEVENTINFO_STD_GOTFOCUS,
    PEVENTINFO_STD_KEYDOWN,
    PEVENTINFO_STD_KEYPRESS,
    PEVENTINFO_STD_KEYUP,
    PEVENTINFO_STD_LOSTFOCUS,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------

MODEL modelRadio_Vb1 =
{
    VB100_VERSION,                 // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fMnemonic, // MODEL flags
    (PCTLPROC)RadioCtlProc,     // Control procedure
    CS_VREDRAW | CS_HREDRAW,    // Class style
    BS_AUTORADIOBUTTON | BS_OWNERDRAW,  // Default Window style
    sizeof(RADIO),              // cbCtlExtra for RADIO structure
    IDBMP_RADIO,                // Palette bitmap ID
    "EsOption",		       		// Default control name
    "EsOption",		       		// Visual Basic class name
    "Button",                   // Parent class name
    proplistRadio_Vb1,          // Properties list
    eventlistRadio_Vb1,         // Events list 
	IPROP_RADIO_CAPTION,		// default property
	EVENT_RADIO_CLICK,			// default event
};


LPMODEL modellistRadio_Vb1[] =
    {
    &modelRadio_Vb1,
    NULL
    };

MODELINFO modelinfoRadio_Vb1 =
    {
    VB100_VERSION, 			// VB version being used
    modellistRadio_Vb1		// MODEL list
    };


#endif  // RC_INVOKED

//---------------------------------------------------------------------------
